.\" $NetBSD: intro.4,v 1.25 2003/07/26 20:17:34 salo Exp $
.\"
.\" Copyright (c) 1997 Jonathan Stone
.\" Copyright (c) 1994 Christopher G. Demetriou
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"          This product includes software developed for the
.\"          NetBSD Project.  See http://www.NetBSD.org/ for
.\"          information about NetBSD.
.\" 4. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" <<Id: LICENSE,v 1.2 2000/06/14 15:57:33 cgd Exp>>
.\"
.Dd April 3, 2001
.Dt INTRO 4 i386
.Os
.Sh NAME
.Nm intro
.Nd introduction to i386 special files and hardware support
.Sh DESCRIPTION
This section describes the special files, related driver functions,
and networking support
available in the system.
In this part of the manual, the
.Tn SYNOPSIS
section of
each configurable device gives a sample specification
for use in constructing a system description for the
.Xr config 1
program.
The
.Tn DIAGNOSTICS
section lists messages which may appear on the console
and/or in the system error log
.Pa /var/log/messages
due to errors in device operation;
see
.Xr syslogd 8
for more information.
.Pp
This section contains both devices
which may be configured into the system
and network related information.
The networking support is introduced in
.Xr netintro 4 .
.Sh DEVICE SUPPORT
This section describes the hardware supported on the i386
(PC-clone) platform.
Software support for these devices comes in two forms.  A hardware
device may be supported with a character or block
.Em device driver ,
or it may be used within the networking subsystem and have a
.Em network interface driver .
Block and character devices are accessed through files in the file
system of a special type; see
.Xr mknod 8 .
Network interfaces are indirectly accessed through the interprocess
communication facilities provided by the system; see
.Xr socket 2 .
.Pp
A hardware device is identified to the system at configuration time
and the appropriate device or network interface driver is then compiled
into the system.  When the resultant system is booted, the
autoconfiguration facilities in the system probe for the device
and, if found, enable the software support for it.
If a device does not respond at autoconfiguration
time it is not accessible at any time afterwards.
To enable a device which did not autoconfigure,
the system must be rebooted.
.Pp
The autoconfiguration system is described in
.Xr autoconf 4 .
A list of the supported devices is given below.
.Sh LIST OF DEVICES
The devices listed below are supported in this incarnation of
the system.  Devices are indicated by their functional interface.
Not all supported devices are listed.
.\"
.\"
.\"
.Pp
Standard builtin devices:
.Bl -tag -width speaker -offset indent -compact
.\"
.\"
.\"
.It com
NS8250-, NS16450-, and NS16550-based asynchronous serial
communications device interface
.It lpt
Parallel port device interface
.It fdc
Standard NEC 765 floppy disk controller.
.It mca
MCA I/O bus.
.It mem
Main memory interface
.It npx
Numeric Processing Extension coprocessor and emulator
.It pci
PCI I/O bus.
.It eisa
EISA I/O bus, either as main bus or via PCI-EISA bridge.
.It isa
ISA bus and ISA devices, either as main bus or via PCI-ISA bridge.
.It isa
isa I/O bus.
.It isapnp
``bus'' for ISA devices with PnP support.
.It speaker
console speaker device interface
.El
.\"
.\"
.\"
.Pp
PCMCIA devices are supported through the
.Xr pcmcia 4
bus and associated device drivers.
.\"
.\"
.\"
.Pp
Cardbus devices are supported through the
.Xr cardbus 4
bus and associated device drivers.
.\"
.\"
.\"
.Pp
USB devices are supported through the
.Xr usb 4
bus and associated device drivers.
.\"
.\"
.\"
.Pp
Console devices using ISA, EISA, or PCI video adaptors and standard
AT or PS/2 keyboards are supported by the machine independent
.Xr wscons 4
console driver.
.\"
.\"
.\"
.Pp
Disk, tape and SCSI devices:
.Bl -tag -width speaker -offset indent -compact
.It aha
Adaptec 154x ISA SCSI adapter boards.
.It ahb
Adaptec 1742 EISA SCSI adapter boards.
.It ahc
Adaptec 274x, 284x, 2940 and 3940 VL/EISA/PCI SCSI adapter boards.
.It aic
Adaptec AIC-6260, Adaptec AIC-6360, Adaptec 152x, and SoundBlaster SCSI boards.
.It bha
Buslogic  BT-445 (ISA), BT-74x (EISA), and BT-9[45][68] (PCI) SCSI boards.
.It mcd
Mitsumi CD-ROM drives.
.It ncr
Symbios (formerly NCR) PCI SCSI adapter boards.
.It pciide
PCI IDE controllers.
.It sea
Seagate/Future Domain SCSI cards.  ST01/02, Future Domain TMC-885, and
Future Domain TMC-950.
.It uha
Ultrastor ISA and EISA SCSI adapter cards.  Ultrastore 14f, Ultrastore 34f,
and Ultrastore 24f.
.It wdc
Standard ISA Western Digital type hard drives controllers. MFM, RLL, ESDI, and
IDE.
.It wt
Wangtek and compatible ISA controllers for QIC-02 and QIC-36 tapes.
.El
.\"
.\"
.\"
.Pp
Network interfaces:
.Bl -tag -width speaker -offset indent -compact
.It de
Ethernet driver for dc21040, dc21042, and dc21140-based  10Mbit and 100Mbit
PCI Ethernet adaptors, including DE-430, DE-450 DE-500, SMC EtherPower,
and Znyx.
.It fea, fpa
FDDI driver for Digital DEFEA (EISA) and DEFPA FDDI adaptors.
.It ed
Western Digital/SMC 80x3 and Ultra, 3Com 3c503, and Novell NE1000 and 2000
Ethernet interface
.It eg
3Com 3c505 Ethernet board.
.It el
3Com 3c501 Ethernet board.
.It ep
3Com EtherLink III (3c5x9) Ethernet interface
.It ie
Ethernet driver for the AT\*[Am]T StarLAN 10, EN100, StarLan Fiber, and 3Com 3c507.
.It iy
Ethernet driver for the ISA Intel EtherExpress PR0/10  adaptor.
.It le
Ethernet driver for BICC Isolan, Novell NE2100,  Digital DEPCA cards,
and PCnet-PCI cards.
.It tl
Ethernet driver for ThunderLAN-based Ethernet adaptor.
.El
.\"
.\"
.\"
.Pp
Serial communication cards:
.Bl -tag -width speaker -offset indent -compact
.It ast
multiplexing serial communications card first made by AST.
.It boca
Boca BB100[48] and BB2016 multiplexing serial communications cards.
NS8250-, NS16450-, and NS16550-based asynchronous serial
communications device interface, or  internal modems that provide
a serial-chip compatible interface.
.It cy
Cyclades Cyclom-4Y, -8Y, and -16Y asynchronous serial communications
device interface
.It rtfps
a multiplexing serial communications card derived from IBM PC/RT hardware.
.El
.\"
.\"
.\"
Sound cards:
.Bl -tag -width speaker -offset indent -compact
.It gus
Gravis Ultrasound non-PnP soundcards.
.It guspnp
Gravis Ultrasound PnP soundcards.
.It pas
ProAudio Spectrum soundcards.
.It pss
Personal Sound System-compatible soundcards, including
Cardinal Digital SoundPro 16 and Orchid Soundwave 32.
.It sb
Soundblaster, Soundblaster 16, and Soundblaster Pro soundcards.
.It wss
Windows Sound System-compatible sound cards based on the ad1848 chip.
.El
.\"
.\"
.\"
.Pp
Mouse and pointer devices:
.Bl -tag -width speaker -offset indent -compact
.It joy
joystick game adaptor
.It lms
Logitech-style bus mouse device interface
.It mms
Microsoft-style bus mouse device interface
.It pms
PS/2 auxiliary port mouse device interface
.El
.Pp
Serial mice can be configured on any supported serial port.
.Pp
.\"
.\"
.\"
.Sh SEE ALSO
.Xr config 1 ,
.Xr autoconf 4 ,
.Xr netintro 4
.Sh HISTORY
The
.Tn i386
.Nm intro
appeared in
.Nx 1.0 .
